SortEvent (JavaFX 25)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: SortEvent

# Class SortEvent<C>

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.control.SortEvent<C>

Type Parameters:
  `C` - the type of control

All Implemented Interfaces:
  `Serializable, Cloneable`

public class SortEvent<C> extends Event
Event related to `TableView` and `TreeTableView` sorting.

Since:
  JavaFX 8.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EventType<SortEvent>`
  `ANY`
  Common supertype for all sort event types.

  ### Fields declared in class Event

  `consumed, eventType, NULL_SOURCE_TARGET, target`

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortEvent(C source, EventTarget target)`
  Constructs a new `SortEvent` with the specified event source and target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <C> EventType<SortEvent<C>>`
  `sortEvent()`
  Gets the default singleton `SortEvent`.

  ### Methods declared in class Event

  `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ANY

    public static final EventType<SortEvent> ANY
    Common supertype for all sort event types.

- ## Constructor Details

  - ### SortEvent

    public SortEvent(C source, EventTarget target)
    Constructs a new `SortEvent` with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value.
    Parameters:
      `source` - the event source which sent the event
      `target` - the target of the event

- ## Method Details

  - ### sortEvent

    public static <C> EventType<SortEvent<C>> sortEvent()
    Gets the default singleton `SortEvent`.
    Type Parameters:
      `C` - the type of control
    Returns:
      the default singleton `SortEvent`